Package org.eclipse.emf.cdo.spi.server

# Class InternalTransaction.CommitAttempt

java.lang.Object
org.eclipse.emf.cdo.spi.server.InternalTransaction.CommitAttempt

Enclosing interface:
  InternalTransaction

public static final class InternalTransaction.CommitAttempt extends Object

Since:
  4.5
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CommitAttempt(int commitNumber, long timeStamp, long previousTimeStamp)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCommitNumber()`
`long`
`getPreviousTimeStamp()`
`long`
`getTimeStamp()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommitAttempt

public CommitAttempt(int commitNumber, long timeStamp, long previousTimeStamp)

## Method Details

### getCommitNumber

public int getCommitNumber()

### getTimeStamp

public long getTimeStamp()

### getPreviousTimeStamp

public long getPreviousTimeStamp()